=== debian/changelog ===
ros-galactic-pal-statistics (2.1.2-1focal) focal; urgency=high



 -- victor <victor.lopez@pal-robotics.com>  Sun, 04 Sep 2022 22:00:00 -0000

ros-galactic-pal-statistics (2.1.1-1focal) focal; urgency=high



 -- victor <victor.lopez@pal-robotics.com>  Mon, 08 Nov 2021 23:00:00 -0000

ros-galactic-pal-statistics (2.1.0-1focal) focal; urgency=high

  * Revert "Comment out tests that require galactic rclpcpp API"
    This reverts commit 6642f6a743e5d5be210f7e59191153746b296866.
  * Fix cmake lint
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Thu, 14 Oct 2021 22:00:00 -0000

ros-galactic-pal-statistics (2.0.0-1focal) focal; urgency=high

  * Comment out tests that require galactic rclpcpp API
  * Use ament_cmake_auto
  * Update package.xml
  * Add comment about ament_cmake_pal
  * Change license to BSD-3 Clause
  * Flake8 and pep257 compliance
  * Add ament dependencies
  * More formatting and header ordering
  * Apply ament_link_cmake
  * Cpplint compliance
  * Rename headers to .h and uncrustify them
  * Fix double comparisons in test
  * Reorganize code to remove boost from include files
  * Tests passing in ROS2
  * Update license on headers
    refs #5 <https://github.com/pal-robotics/pal_statistics/issues/5>
  * Change License to MIT
    fixes #5 <https://github.com/pal-robotics/pal_statistics/issues/5>
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Thu, 14 Oct 2021 22:00:00 -0000

ros-galactic-pal-statistics (1.4.0-1focal) focal; urgency=high

  * Merge branch 'use-atomic-bool' into 'erbium-devel'
    Use atomic bool, because we need atomic operation
    See merge request qa/pal_statistics!18
  * Use atomic bool, because we need atomic operation
  * Contributors: Victor Lopez, victor

 -- victor <victor.lopez@pal-robotics.com>  Thu, 12 Mar 2020 23:00:00 -0000

ros-galactic-pal-statistics (1.3.1-1focal) focal; urgency=high

  * Fix shadow variable warning
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Tue, 27 Aug 2019 22:00:00 -0000

ros-galactic-pal-statistics (1.3.0-1focal) focal; urgency=high

  * Merge branch 'async-optimizations' into 'erbium-devel'
    Optimize async update when everything is enabled
    See merge request qa/pal_statistics!17
  * Smarter clear and resize of vectors when all enabled
  * Optimize async update when everything is enabled
  * Add LGPL3 version text
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Sun, 11 Aug 2019 22:00:00 -0000

ros-galactic-pal-statistics (1.2.1-1focal) focal; urgency=high

  * Fix stamp of full messages
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Wed, 17 Apr 2019 22:00:00 -0000

ros-galactic-pal-statistics (1.2.0-1focal) focal; urgency=high

  * Merge branch 'optimized-msg' into 'erbium-devel'
    Optimized msg
    See merge request qa/pal_statistics!15
  * Update python api to new msgs
  * Rename full statistics topic
  * Add new messages
  * Change internal structure from vector of pairs to pair of vectors
  * Add missing add_dependencies
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Mon, 15 Apr 2019 22:00:00 -0000

ros-galactic-pal-statistics (1.1.1-1focal) focal; urgency=high

  * Merge branch 'correct-stamp' into 'erbium-devel'
    Correct stamp
    See merge request qa/pal_statistics!14
  * Add macros with variable argument count
  * Set time stamp from main thread
  * Fix maintainer
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Tue, 18 Dec 2018 23:00:00 -0000

ros-galactic-pal-statistics (1.1.0-1focal) focal; urgency=high

  * Merge branch 'fix-test' into 'erbium-devel'
    Fix spurious test failure when buffer was filled
    See merge request qa/pal_statistics!12
  * Fix spurious test failure when buffer was filled
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Sun, 28 Oct 2018 23:00:00 -0000

ros-galactic-pal-statistics (1.0.8-1focal) focal; urgency=high

  * Fix some issues with copyable object that shouldn't be
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Wed, 24 Oct 2018 22:00:00 -0000

ros-galactic-pal-statistics (1.0.7-1focal) focal; urgency=high

  * Change Sleep to WallSleep
    When sim time stops being published. The thread can get stuck and never
    end.
  * Fix unitialized variable
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Wed, 24 Oct 2018 22:00:00 -0000

ros-galactic-pal-statistics (1.0.6-1focal) focal; urgency=high

  * Merge branch 'improve-constness' into 'erbium-devel'
    Change namespace to pal_statistics and and const to double *
    Closes #5
    See merge request qa/pal_statistics!11
  * Add tests for registration modification between pubAsync and publishing
  * Change namespace to pal_statistics and and const to double *
    Fixes https://gitlab/qa/pal_statistics/issues/5
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Tue, 23 Oct 2018 22:00:00 -0000

ros-galactic-pal-statistics (1.0.5-1focal) focal; urgency=high

  * Fix bug when changing registrations and publsihing before a pubAsync
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Tue, 23 Oct 2018 22:00:00 -0000

ros-galactic-pal-statistics (1.0.4-1focal) focal; urgency=high

  * Merge branch 'auto-start-thread' into 'erbium-devel'
    Auto start thread and use steady clock for time diff
    See merge request qa/pal_statistics!10
  * Auto start thread and use steady clock for time diff
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Mon, 22 Oct 2018 22:00:00 -0000

ros-galactic-pal-statistics (1.0.3-1focal) focal; urgency=high

  * Merge branch 'add-extendable-registration' into 'erbium-devel'
    Add the option to customize registration
    See merge request qa/pal_statistics!9
  * Add the option to customize registration
  * Contributors: Victor Lopez


